## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreElementTypes

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers
          org.eclipse.emf.ecoretools.diagram.providers.EcoreElementTypes

    public class EcoreElementTypes

extends ElementInitializers

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers
`ElementInitializers.Initializers`

Field Summary
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EAnnotation_1003`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EAnnotationReferences_3001`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EAttribute_2001`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EClass_1001`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EClass_2003`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EClassESuperTypes_3003`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EDataType_1004`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EDataType_2004`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EEnum_1005`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EEnum_2005`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EEnumLiteral_2006`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EOperation_2002`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EPackage_1002`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EPackage_79`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EReference_3002`
`static org.eclipse.gmf.runtime.emf.type.core.IElementType` `EStringToStringMapEntry_2007`

Method Summary
`static org.eclipse.emf.ecore.ENamedElement` `getElement(org.eclipse.core.runtime.IAdaptable hint)` Returns 'type' of the ecore object associated with the hint.
`static org.eclipse.swt.graphics.Image` `getImage(org.eclipse.emf.ecore.ENamedElement element)`
`static org.eclipse.swt.graphics.Image` `getImage(org.eclipse.core.runtime.IAdaptable hint)`
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(org.eclipse.emf.ecore.ENamedElement element)`
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(org.eclipse.core.runtime.IAdaptable hint)`
`static boolean` `isKnownElementType(org.eclipse.gmf.runtime.emf.type.core.IElementType elementType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPackage_79

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EPackage_79

### EClass_1001

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EClass_1001

### EPackage_1002

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EPackage_1002

### EAnnotation_1003

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EAnnotation_1003

### EDataType_1004

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EDataType_1004

### EEnum_1005

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EEnum_1005

### EAttribute_2001

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EAttribute_2001

### EOperation_2002

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EOperation_2002

### EClass_2003

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EClass_2003

### EDataType_2004

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EDataType_2004

### EEnum_2005

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EEnum_2005

### EEnumLiteral_2006

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EEnumLiteral_2006

### EStringToStringMapEntry_2007

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EStringToStringMapEntry_2007

### EAnnotationReferences_3001

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EAnnotationReferences_3001

### EReference_3002

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EReference_3002

### EClassESuperTypes_3003

    public static final org.eclipse.gmf.runtime.emf.type.core.IElementType EClassESuperTypes_3003

Method Detail

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(org.eclipse.emf.ecore.ENamedElement element)

### getImage

    public static org.eclipse.swt.graphics.Image getImage(org.eclipse.emf.ecore.ENamedElement element)

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(org.eclipse.core.runtime.IAdaptable hint)

### getImage

    public static org.eclipse.swt.graphics.Image getImage(org.eclipse.core.runtime.IAdaptable hint)

### getElement

    public static org.eclipse.emf.ecore.ENamedElement getElement(org.eclipse.core.runtime.IAdaptable hint)

  Returns 'type' of the ecore object associated with the hint.

### isKnownElementType

    public static boolean isKnownElementType(org.eclipse.gmf.runtime.emf.type.core.IElementType elementType)

Copyright 2007 Anyware Technologies. All Rights Reserved.